[arch-commits] Commit in tomboy/trunk (PKGBUILD gedit-print.patch)

Jan de Groot jgc at archlinux.org
Sat Oct 11 17:33:44 EDT 2008


    Date: Saturday, October 11, 2008 @ 17:33:44
  Author: jgc
Revision: 14988

upgpkg: tomboy 0.12.1-1

Added:
  tomboy/trunk/gedit-print.patch
Modified:
  tomboy/trunk/PKGBUILD

-------------------+
 PKGBUILD          |   24 +++++++++++++-----------
 gedit-print.patch |   10 ++++++++++
 2 files changed, 23 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-11 21:22:03 UTC (rev 14987)
+++ PKGBUILD	2008-10-11 21:33:44 UTC (rev 14988)
@@ -2,31 +2,33 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=tomboy
-pkgver=0.10.1
+pkgver=0.12.1
 pkgrel=1
 pkgdesc="Desktop note-taking application for Linux and Unix"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.gnome.org/projects/tomboy/"
-depends=('libgnomeprintui>=2.18.2' 'gtkspell' 'gmime>=2.2.18' 'ndesk-dbus-glib>=0.4.1' 'gnome-sharp>=2.20.1' 'mono-addins>=0.3.1' 'libsm')
-makedepends=('perlxml' 'pkgconfig' 'gnome-panel>=2.22.1.3' 'gnome-doc-utils>=0.12.2')
+depends=('libgnomeprintui>=2.18.2' 'gtkspell' 'gmime>=2.2.18' 'ndesk-dbus-glib>=0.4.1' 'gnome-sharp>=2.24.0' 'mono-addins>=0.3.1' 'libsm')
+makedepends=('perlxml' 'pkgconfig' 'gnome-panel>=2.24.0' 'gnome-doc-utils>=0.14.0')
 options=('!libtool' '!emptydirs')
 groups=('gnome-extra')
 install=tomboy.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.10/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('c9b2534e2ea58bf0a8cf7c8dc5643fc1')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.12/${pkgname}-${pkgver}.tar.bz2
+	gedit-print.patch)
+md5sums=('934d1258f855f04eff7d0fe8a976f6ad' 'f8f522688a8fa3e1524f42b53906027d')
 
 build() {
-  export MONO_SHARED_DIR=${startdir}/src/.wabi
+  export MONO_SHARED_DIR="${srcdir}/.wabi"
   mkdir -p "${MONO_SHARED_DIR}"
  
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/gedit-print.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-scrollkeeper || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 install || return 1
+  make DESTDIR="${pkgdir}" GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 install || return 1
 
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }

Added: gedit-print.patch
===================================================================
--- gedit-print.patch	                        (rev 0)
+++ gedit-print.patch	2008-10-11 21:33:44 UTC (rev 14988)
@@ -0,0 +1,10 @@
+--- tomboy-0.12.1/Tomboy/Addins/PrintNotes/gedit-print.c	2008-09-22 14:11:18.000000000 +0200
++++ tomboy-0.12.1.patched/Tomboy/Addins/PrintNotes/gedit-print.c	2008-10-11 23:27:29.000000000 +0200
+@@ -48,7 +48,6 @@
+ #include <gtk/gtkimage.h>
+ #include <gtk/gtkwindow.h>
+ #include <libgnomeprintui/gnome-print-dialog.h>
+-#include <libgnomeprintui/gnome-print-job-preview.h>
+ 
+ #include "gedit-print.h"
+ #include "gtksourceprintjob.h"




More information about the arch-commits mailing list